Name:		sigscheme
Version:	0.8.5
Release:	4%{?dist}
License:	BSD
URL:		http://code.google.com/p/sigscheme/wiki/SigScheme
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libgcroots-devel

Source0:	http://sigscheme.googlecode.com/files/%{name}-%{version}.tar.bz2


Summary:	R5RS Scheme interpreter for embedded use
Group:		Development/Languages

%description
sigscheme is a R5RS Scheme interpreter that features small footprint,
low memory consumption, multibytes characters handling and more.

%package devel
Summary:	Development files for sigscheme
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
sigscheme is a R5RS Scheme interpreter that features small footprint,
low memory consumption, multibytes characters handling and more.

This package contains header files and development library.

%prep
%setup -q

%build
%configure --disable-static --with-libgcroots=installed
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="/usr/bin/install -p"

# Remove unnecessary files
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_docdir}/sigscheme

%clean
rm -rf  $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS QALog README RELNOTE TODO
%doc doc/*.html doc/*.txt
%{_bindir}/sscm
%{_libdir}/libsscm.so.*
%{_datadir}/sigscheme

%files devel
%defattr (-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS QALog README RELNOTE TODO
%{_includedir}/sigscheme
%{_libdir}/libsscm.so
%{_libdir}/pkgconfig/sigscheme.pc

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  8 2010 Akira TAGOH <tagoh@redhat.com> - 0.8.5-1
- New upstream release.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May  7 2008 Akira TAGOH <tagoh@redhat.com> - 0.8.3-1
- New upstream release.

* Wed Mar  5 2008 Akira TAGOH <tagoh@redhat.com> - 0.7.6-2
- Get rid of the explicit dependency of ldconfig. (#436059)
- Fix the timestamp issue.

* Wed Mar  5 2008 Akira TAGOH <tagoh@redhat.com> - 0.7.6-1
- Initial packaging.

